Navigation for Javascript

Updated on May 17, 2021

UI for navigation featuring Hamburger menu, Bottom and Tab navigation components.

Use it on responsive websites and mobile apps. Together with the mobiscroll Page component makes an easy to use tool for building a great Navigation experience.

Shipping with useful features for a refined UX, including:

  • Usage on mobile and desktop with responsive features
  • Icons and labels for expressive nav targets
  • Ergonomic bottom navigation
  • Scrollable tab-list
  • Compact hamburger menu for saving space
  • Multiple theme support
  • Top, bottom and inline display support
  • RTL Support
  • Full localization


Navigation demos available for other frameworks.

Viewing demos & code for

Javascript Navigation Navigation for Javascript

Navigation - Bottom navigation

Change demo
Bottom navigation

Use the bottom navigation for the top level navigation solution in your app. When you navigate between pages of the same level of hierarchy, it gives a consistent look on each page. While it can also be rendered on the top of the viewport, on mobile handheld devices the bottom navigation bar is the easiest to reach. It's ergonomic.

Navigation items can be used with both icons and labels. Additionally every item can show a badge, containing dynamic information. For example the number of unread notifications.

The bottom navigation component automatically hides navigation items behind a "More" button, when the viewport is not wide enough. This behavior can be further customized with the layout settings.

For organizing content into categories  Check out the Tabs navigation →
Copy code

Navigation - Tabs

Change demo
Tabs

Use the tab navigation for organizing content into categories.

The tab navigation component supports swipe gestures for the tab-list, which makes the component a scalable solution for as many tabs as needed.

Tabs can combine icons and labels to be more expressive like in this demo.

Navigating between tabs can also be customized. Check out the demo for handling navigation with external buttons.

Short on screen space and need a menu button?  Check out the Hamburger navigation →
Copy code

Navigation - Hamburger menu

Change demo
Hamburger menu

The hamburger menu is a compact and well known solution for grouping destinations that need to be accessible from multiple pages.

One of the advantages it has over the Tabs or the Bottom navigation is that it hides the nav-items and saves space.

The menu button can be customized to suit your needs with the menuIcon and menuText settings.

Designing for multiple screen sizes?  Check out the Responsive demo →
Copy code

Navigation - Prev/Next

Change demo
Prev/Next

The Tab navigation component is customizable in a variety of ways. This demo shows how to add custom Prev/Next buttons beside the Tab component and how to make page change obvious.

If you are looking for the simplest solution in grouping content, have a look on the previous tabs demo.

For more customization  Check out the Event handlers demo →
Copy code

Navigation - Tabs with icons

Change demo
Tabs with icons

Add icons and labels to nav-items to be more informative. Build and save custom icon sets from over 2500 icons to choose from.

Use the scrollable tab-list for self-adjusting desktop & mobile content management.

Short on screen space and need a menu button?  Check out the Hamburger menu →
Copy code

Navigation - Event handlers

Change demo
Event handlers

The navigation components ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code. While users interact with the UI events like onItemTap, onMenuShow, onMenuHide ... will be triggered. Interact with the example and check the event log for the output.

For a complete list of events go to the documentation  See available lifecycle events →
Clear event log
EVENTS FIRED: 
Copy code

Navigation - Responsive

Change demo
Responsive

Set up the Navigation to behave responsively. Use the appriopriate positioning and rendering based on the screen size. You can have Hamburger menu on small screens and Tab navigation on large screens.

All this can be configured under the responsive setting where you pass the options for each breakpoint.

responsive: {
    xsmall: { ... }, small: { ... }, medium: { ... }, large: { ... }, xlarge: { ... }
}

Viewport
Copy code

Navigation - Desktop

Change demo
Desktop

Bottom and Tab navigation can be equally fitting for managing content on desktop web apps and large screens.

You can choose between one and the other depending on you content layout or use both like in this example.

Copy code
mobiscroll.nav('#demo', {
    lang: ' ',
    theme: ' ',
    themeVariant: ' ',
    type: 'tab',
    context: '#tab-content',
    onItemTap: function (event, inst) {
        document.querySelector('.md-tab-sel').classList.remove('md-tab-sel');
        document.querySelector('.' + event.target.getAttribute('data-tab')).classList.add('md-tab-sel');
    }
});

mobiscroll.nav('#bottom', {
    lang: ' ',
    theme: ' ',
    themeVariant: ' ',
    type: 'bottom',
    context: '#bottom-content',
    onItemTap: function (event, inst) {
        document.querySelector('.md-bottom-sel').classList.remove('md-bottom-sel');
        document.querySelector('.' + event.target.getAttribute('data-bottom')).classList.add('md-bottom-sel');
    }
});
<div class="md-tab-bottom-nav">
    <div id="tab-content" class="md-desktop-nav">
        <div mbsc-page>
            <ul id="demo" class="mbsc-cloak">
                <li data-tab="md-tab-food" data-selected="true">Food</li>
                <li data-tab="md-tab-tech">Technology</li>
                <li data-tab="md-tab-life">Lifestyle</li>
                <li data-tab="md-tab-sport">Sport</li>
                <li data-tab="md-tab-travel">Travel</li>
                <li data-tab="md-tab-music">Music</li>
            </ul>

            <div class="md-tab-food md-tab md-tab-sel">
                <h3>Monochrome Pizzas</h3>
                <p>
                    French creative studio Black Pizza commissioned the photographer Erwan Fichou and the bio independant chef Julie Basset to make the series “Pizza is the New Black” : a collection of monochrome pizzas, cooked with insolite objets and perfumes such as crab,
                    lichee, candies, lipsticks, green peas and green plants.
                </p>
            </div>

            <div class="md-tab-tech md-tab">
                <h3>Electric Smartscooter</h3>
                <p>
                    Gogoro Smartscooter is world’s first connected two-wheeled electric vehicle. The Smartscooter uses the precision, processes and materials utilizes for supercars to offer top performance, physically and technically sublime.
                </p>
            </div>

            <div class="md-tab-life md-tab">
                <h3>Fox Village in Japan</h3>
                <p>
                    Located in the prefecture of Miyagi, Japan, Zao Fox Village is a parc inhabited by six species of wild foxes that it’s possible to photograph and feed with food provided by the park. Some visitors have captured unique instants of this amazing experience
                    and disclose us touching images.
                </p>
            </div>

            <div class="md-tab-sport md-tab">
                <h3>Red Bull RB11 Formula 1 Car</h3>
                <p>
                    The Red Bull RB11 is a Formula 1 racing car being designed by Adrian Newey for Infiniti Red Bull Racing to compete in the 2015 Formula 1 season.
                </p>
            </div>

            <div class="md-tab-travel md-tab">
                <h3>Portraits of African Female Warriors</h3>
                <p>
                    The French street artist YZ tribute to African women warriors in her series entitled “Amazon”. These portraits refer to female soldiers of the First Franco-Dahomean War who actively fought face to the French army. Amazon is an ongoing project for which
                    YZ still conducts researches in Senegal.
                </p>
            </div>

            <div class="md-tab-music md-tab">
                <h3>Kwabs – Perfect Ruin</h3>
                <p>
                    Singer and songwriter based in London, Kwabs reveals the visual of his song “Perfect Ruin”. Directed by George Bellfield, the video follows the artist wandering with chills through a winter landscape. His Love + War album will be available on May 18th
                    via Atlantic Records.
                </p>
            </div>
        </div>
    </div>

    <div id="bottom-content" class="md-desktop-nav">
        <div mbsc-page>
            <ul id="bottom" class="mbsc-cloak">
                <li data-bottom="md-bottom-food" data-icon="line-food" data-selected="true">Food</li>
                <li data-bottom="md-bottom-tech" data-icon="line-phone">Technology</li>
                <li data-bottom="md-bottom-life" data-icon="line-heart">Lifestyle</li>
                <li data-bottom="md-bottom-sport" data-icon="line-t-shirt">Sport</li>
                <li data-bottom="md-bottom-travel" data-icon="line-paperplane">Travel</li>
                <li data-bottom="md-bottom-music" data-icon="line-music">Music</li>
            </ul>

            <div class="md-bottom-food md-bottom md-bottom-sel">
                <h3>Vegetables Paper Art</h3>
                <p>
                    For the opening of a blog named “Veg of the Day”, illustrator and designer Polly Lindsay has already started to cook a first batch of paper vegetables : an avocado, a red onion and a red pepper. She gives a precise work where we can easily admire the
                    different reliefs and layers of her artworks.
                </p>
            </div>

            <div class="md-bottom-tech md-bottom">
                <h3>Smallest Quadricopter</h3>
                <p>
                    The Dutch gadget-manufacturer TRNDlabs reveals the smallest quadricopter of the world, the Nano Skeye Drone. The high thrust and low weight of the object allows users to quickly perform amazing maneuvers with a simple touch of joysticks. Bright LEDs have
                    also been incorporated into the Drone in order to drive in low-light conditions.
                </p>
            </div>

            <div class="md-bottom-life md-bottom">
                <h3>The Urban Yoga</h3>
                <p>
                    Artist, architect, dancer and yoga teacher, Anja Humljan thought the Urban Yoga project from an ambition : inviting people to experiment with their bodies what they feel, touch, smell, hear and taste in the city. She started series of photos in Paris,
                    Madrid, New York and Ljubljana to change the way she feels and moves in the city. According to her, the city must not be felt as a disturbing space but more like a vital source of energy.
                </p>
            </div>

            <div class="md-bottom-sport md-bottom">
                <h3>Wooden Skateboard</h3>
                <p>
                    The two designers of the studio Sven Gabriel had the idea to create a skateboard made with a simple piece of wood, by adding the wheels and screws. The “Förster Skateboard” is thiner and more sharp than a traditional board. The outlines are made of tree’s
                    bark. This beautiful board is to discover in images plus a video in the gallery.
                </p>
            </div>

            <div class="md-bottom-travel md-bottom">
                <h3>People in The Alps Photography</h3>
                <p>
                    Jakub Polomski is a Polish photographer specialized in travel photography. With its “Scale of Nature” series, the artist pays homage to mother nature. Pictures taken in the French & Swiss Alps are breathtaking and reminds us how the human being is very
                    small and meaningless compared to nature.
                </p>
            </div>

            <div class="md-bottom-music md-bottom">
                <h3>Batman Evolution</h3>
                <p>
                    The Piano Guys is a group of four American artists living in Utah, which became known on YouTube with covers of famous song. Here is a tribute to the soundtracks of the films Batman with the video “Batman Evolution” and all the different cars of the dark
                    knight.
                </p>
            </div>
        </div>
    </div>
</div>
.md-tab-bottom-nav .md-desktop-nav {
    min-height: 320px;
    margin: 20px;
    border: 1px solid #adadad;
    position: relative;
}

.md-tab-bottom-nav .md-tab,
.md-tab-bottom-nav .md-bottom {
    display: none;
}

.md-tab-bottom-nav .md-tab-sel,
.md-tab-bottom-nav .md-bottom-sel {
    display: block;
    height: 100%;
    font-size: 18px;
    font-weight: normal;
    padding: 30px;
}

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Navigation for React

Updated on May 17, 2021

UI for navigation featuring Hamburger menu, Bottom and Tab navigation components.

Integrates well with the React Router library. Together they make a powerfull, easy to use tool in creating the navigation experience a react app needs.

Use it on responsive websites and mobile apps.

Shipping with useful features for a refined UX, including:

  • Usage on mobile and desktop with responsive features
  • Icons and labels for expressive nav targets
  • Ergonomic bottom navigation
  • Scrollable tab-list
  • Compact hamburger menu for saving space
  • Multiple theme support
  • Top, bottom and inline display support
  • RTL Support
  • Full localization


Navigation demos available for other frameworks.

Viewing demos & code for

React Navigation Navigation for React

Navigation - Bottom navigation

Change demo
Bottom navigation

Use the bottom navigation for the top level navigation solution in your app. When you navigate between pages of the same level of hierarchy, it gives a consistent look on each page. While it can also be rendered on the top of the viewport, on mobile handheld devices the bottom navigation bar is the easiest to reach. It's ergonomic.

Navigation items can be used with both icons and labels. Additionally every item can show a badge, containing dynamic information. For example the number of unread notifications.

The bottom navigation component automatically hides navigation items behind a "More" button, when the viewport is not wide enough. This behavior can be further customized with the layout settings.

For organizing content into categories  Check out the Tabs navigation →
Copy code

Navigation - Tabs

Change demo
Tabs

Use the tab navigation for organizing content into categories.

The tab navigation component supports swipe gestures for the tab-list, which makes the component a scalable solution for as many tabs as needed.

Tabs can combine icons and labels to be more expressive like in this demo.

Navigating between tabs can also be customized. Check out the demo for handling navigation with external buttons.

Short on screen space and need a menu button?  Check out the Hamburger navigation →
Copy code

Navigation - Hamburger menu

Change demo
Hamburger menu

The hamburger menu is a compact and well known solution for grouping destinations that need to be accessible from multiple pages.

One of the advantages it has over the Tabs or the Bottom navigation is that it hides the nav-items and saves space.

The menu button can be customized to suit your needs with the menuIcon and menuText settings.

Designing for multiple screen sizes?  Check out the Responsive demo →
Copy code

Navigation - Prev/Next

Change demo
Prev/Next

The Tab navigation component is customizable in a variety of ways. This demo shows how to add custom Prev/Next buttons beside the Tab component and how to make page change obvious.

If you are looking for the simplest solution in grouping content, have a look on the previous tabs demo.

For more customization  Check out the Event handlers demo →
Copy code

Navigation - Tabs with icons

Change demo
Tabs with icons

Add icons and labels to nav-items to be more informative. Build and save custom icon sets from over 2500 icons to choose from.

Use the scrollable tab-list for self-adjusting desktop & mobile content management.

Short on screen space and need a menu button?  Check out the Hamburger menu →
Copy code

Navigation - Event handlers

Change demo
Event handlers

The navigation components ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code. While users interact with the UI events like onItemTap, onMenuShow, onMenuHide ... will be triggered. Interact with the example and check the event log for the output.

For a complete list of events go to the documentation  See available lifecycle events →
Clear event log
EVENTS FIRED: 
Copy code

Navigation - Responsive

Change demo
Responsive

Set up the Navigation to behave responsively. Use the appriopriate positioning and rendering based on the screen size. You can have Hamburger menu on small screens and Tab navigation on large screens.

All this can be configured under the responsive setting where you pass the options for each breakpoint.

responsive: {
    xsmall: { ... }, small: { ... }, medium: { ... }, large: { ... }, xlarge: { ... }
}

Viewport
Copy code

Navigation - Desktop

Change demo
Desktop

Bottom and Tab navigation can be equally fitting for managing content on desktop web apps and large screens.

You can choose between one and the other depending on you content layout or use both like in this example.

Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

class App extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            selectedMenu: 'food',
            selectedBottomMenu: 'tech'
        };
        
        this.selectMenu = this.selectMenu.bind(this);
        this.selectedBottomMenu = this.selectedBottomMenu.bind(this);
    }
    
    selectMenu (newMenu) {
        this.setState({ selectedMenu: newMenu });  
    }
    
    selectedBottomMenu (newMenu) {
        this.setState({ selectedBottomMenu: newMenu });  
    }
    
    render () {
        var content, contentBottom;
        switch (this.state.selectedMenu) {
            case 'food': 
                content = <div className="md-tab-sel">
                    <h3>Monochrome Pizzas</h3>
                    <p>
                        French creative studio Black Pizza commissioned the photographer Erwan Fichou and the bio independant chef Julie Basset to make the series “Pizza is the New Black” : a collection of monochrome pizzas, cooked with insolite objets and perfumes such as crab,
                        lichee, candies, lipsticks, green peas and green plants.
                    </p>
                </div>
                break;
            case 'tech':
                content = <div className="md-tab-sel">
                    <h3>Electric Smartscooter</h3>
                    <p>
                        Gogoro Smartscooter is world’s first connected two-wheeled electric vehicle. The Smartscooter uses the precision, processes and materials utilizes for supercars to offer top performance, physically and technically sublime.
                    </p>
                </div>;
                break;
            case 'life': 
                content = <div className="md-tab-sel">
                    <h3>Fox Village in Japan</h3>
                    <p>
                        Located in the prefecture of Miyagi, Japan, Zao Fox Village is a parc inhabited by six species of wild foxes that it’s possible to photograph and feed with food provided by the park. Some visitors have captured unique instants of this amazing experience
                        and disclose us touching images.
                    </p>
                </div>;
                break;
            case 'sport':
                content = <div className="md-tab-sel">
                    <h3>Red Bull RB11 Formula 1 Car</h3>
                    <p>
                        The Red Bull RB11 is a Formula 1 racing car being designed by Adrian Newey for Infiniti Red Bull Racing to compete in the 2015 Formula 1 season.
                    </p>
                </div>;
                break;
            case 'travel':
                content = <div className="md-tab-sel">
                    <h3>Portraits of African Female Warriors</h3>
                    <p>
                        The French street artist YZ tribute to African women warriors in her series entitled “Amazon”. These portraits refer to female soldiers of the First Franco-Dahomean War who actively fought face to the French army. Amazon is an ongoing project for which
                        YZ still conducts researches in Senegal.
                    </p>
                </div>;
                break;
            case 'music':
            default:
                content = <div className="md-tab-sel">
                    <h3>Kwabs – Perfect Ruin</h3>
                    <p>
                        Singer and songwriter based in London, Kwabs reveals the visual of his song “Perfect Ruin”. Directed by George Bellfield, the video follows the artist wandering with chills through a winter landscape. His Love + War album will be available on May 18th
                        via Atlantic Records.
                    </p>
                </div>;
                break;
        }
        switch (this.state.selectedBottomMenu) {
            case 'food': 
                contentBottom = <div className="md-bottom-sel-sel">
                    <h3>Vegetables Paper Art</h3>
                    <p>
                        For the opening of a blog named “Veg of the Day”, illustrator and designer Polly Lindsay has already started to cook a first batch of paper vegetables : an avocado, a red onion and a red pepper. She gives a precise work where we can easily admire the
                        different reliefs and layers of her artworks.
                    </p>
                </div>;
                break;
            case 'tech':
                contentBottom = <div className="md-bottom-sel">
                    <h3>Smallest Quadricopter</h3>
                    <p>
                        The Dutch gadget-manufacturer TRNDlabs reveals the smallest quadricopter of the world, the Nano Skeye Drone. The high thrust and low weight of the object allows users to quickly perform amazing maneuvers with a simple touch of joysticks. Bright LEDs have
                        also been incorporated into the Drone in order to drive in low-light conditions.
                    </p>
                </div>;
                break;
            case 'life': 
                contentBottom = <div className="md-bottom-sel">
                    <h3>The Urban Yoga</h3>
                    <p>
                        Artist, architect, dancer and yoga teacher, Anja Humljan thought the Urban Yoga project from an ambition : inviting people to experiment with their bodies what they feel, touch, smell, hear and taste in the city. She started series of photos in Paris,
                        Madrid, New York and Ljubljana to change the way she feels and moves in the city. According to her, the city must not be felt as a disturbing space but more like a vital source of energy.
                    </p>
                </div>;
                break;
            case 'sport':
                contentBottom = <div className="md-bottom-sel">
                    <h3>Wooden Skateboard</h3>
                    <p>
                        The two designers of the studio Sven Gabriel had the idea to create a skateboard made with a simple piece of wood, by adding the wheels and screws. The “Förster Skateboard” is thiner and more sharp than a traditional board. The outlines are made of tree’s
                        bark. This beautiful board is to discover in images plus a video in the gallery.
                    </p>
                </div>;
                break;
            case 'travel':
                contentBottom = <div className="md-bottom-sel">
                    <h3>People in The Alps Photography</h3>
                    <p>
                        Jakub Polomski is a Polish photographer specialized in travel photography. With its “Scale of Nature” series, the artist pays homage to mother nature. Pictures taken in the French & Swiss Alps are breathtaking and reminds us how the human being is very
                        small and meaningless compared to nature.
                    </p>
                </div>;
                break;
            case 'music':
            default:
                contentBottom = <div className="md-bottom-sel">
                    <h3>Batman Evolution</h3>
                    <p>
                        The Piano Guys is a group of four American artists living in Utah, which became known on YouTube with covers of famous song. Here is a tribute to the soundtracks of the films Batman with the video “Batman Evolution” and all the different cars of the dark
                        knight.
                    </p>
                </div>;
                break;
        }
        return (
            <div className="md-tab-bottom-nav">
                <div id="tab-content" className="md-desktop-nav">
                    <mobiscroll.Page>

                        <mobiscroll.TabNav
                            lang=" "
                            theme=" " 
                            themeVariant=" "
                            context="#tab-content"
                        >
                            <mobiscroll.NavItem selected={this.state.selectedMenu == 'food'} onClick={this.selectMenu.bind(null, 'food')}>Food</mobiscroll.NavItem>
                            <mobiscroll.NavItem selected={this.state.selectedMenu == 'tech'} onClick={this.selectMenu.bind(null, 'tech')}>Technology</mobiscroll.NavItem>
                            <mobiscroll.NavItem selected={this.state.selectedMenu == 'life'} onClick={this.selectMenu.bind(null, 'life')}>Lifestyle</mobiscroll.NavItem>
                            <mobiscroll.NavItem selected={this.state.selectedMenu == 'sport'} onClick={this.selectMenu.bind(null, 'sport')}>Sport</mobiscroll.NavItem>
                            <mobiscroll.NavItem selected={this.state.selectedMenu == 'travel'} onClick={this.selectMenu.bind(null, 'travel')}>Travel</mobiscroll.NavItem>
                            <mobiscroll.NavItem selected={this.state.selectedMenu == 'music'} onClick={this.selectMenu.bind(null, 'music')}>Music</mobiscroll.NavItem>
                        </mobiscroll.TabNav>
        
                        {content}
        
                    </mobiscroll.Page>
                </div>
                <div id="bottom-content" className="md-desktop-nav">
                    <mobiscroll.Page>

                        <mobiscroll.BottomNav
                            lang=" "
                            theme=" " 
                            themeVariant=" "
                            context="#bottom-content"
                        >
                            <mobiscroll.NavItem icon="line-food" selected={this.state.selectedBottomMenu == 'food'} onClick={this.selectedBottomMenu.bind(null, 'food')}>Food</mobiscroll.NavItem>
                            <mobiscroll.NavItem icon="line-phone" selected={this.state.selectedBottomMenu == 'tech'} onClick={this.selectedBottomMenu.bind(null, 'tech')}>Technology</mobiscroll.NavItem>
                            <mobiscroll.NavItem icon="line-heart" selected={this.state.selectedBottomMenu == 'life'} onClick={this.selectedBottomMenu.bind(null, 'life')}>Lifestyle</mobiscroll.NavItem>
                            <mobiscroll.NavItem icon="line-t-shirt" selected={this.state.selectedBottomMenu == 'sport'} onClick={this.selectedBottomMenu.bind(null, 'sport')}>Sport</mobiscroll.NavItem>
                            <mobiscroll.NavItem icon="line-paperplane" selected={this.state.selectedBottomMenu == 'travel'} onClick={this.selectedBottomMenu.bind(null, 'travel')}>Travel</mobiscroll.NavItem>
                            <mobiscroll.NavItem icon="line-music" selected={this.state.selectedBottomMenu == 'music'} onClick={this.selectedBottomMenu.bind(null, 'music')}>Music</mobiscroll.NavItem>
                        </mobiscroll.BottomNav>

                        {contentBottom}
        
                    </mobiscroll.Page>
                </div>
            </div>
        );
    }
}

<div id="content"></div>
.md-tab-bottom-nav .md-desktop-nav {
    min-height: 320px;
    margin: 20px;
    border: 1px solid #adadad;
    position: relative;
}

.md-tab-bottom-nav .md-tab,
.md-tab-bottom-nav .md-bottom {
    display: none;
}

.md-tab-bottom-nav .md-tab-sel,
.md-tab-bottom-nav .md-bottom-sel {
    display: block;
    height: 100%;
    font-size: 18px;
    font-weight: normal;
    padding: 30px;
}

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos